[WMDE-Fundraising] Allow expired utoken in Paypal donation
Closed, ResolvedPublic2 Story Points

Description

When a Paypal donation is paid by direct debit, the success notification can take up to 7 days. With the current code in DoctrineDonationAuthorizer::canUpdateDonation the update would fail because the update token has expired. Proposed solution: add the parameter $ignoreExpiredToken to canUpdateDonation

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 18 2016, 11:26 AM

@JeroenDeDauw Any other suggestions instead of using a parameter? Maybe another method canUpdateDonationwithExpiredToken?

How about renaming canModifyDonation to userCanModifyDonation and adding a systemCanModifyDonation with the same signature?

I like that idea. Much cleaner than parameters.

systemCanModifyDonation would then only check if the token matches and not if the token is expired.

Lea_WMDE moved this task from Incoming to WMDE Fundraising on the TCB-Team board.Jun 7 2016, 10:45 AM
Tobi_WMDE_SW closed this task as "Resolved".Apr 7 2017, 11:25 AM
Tobi_WMDE_SW claimed this task.
Restricted Application added a project: WMDE-Fun-Team. · View Herald TranscriptApr 7 2017, 11:25 AM